package logger

import (
	"go.uber.org/zap"

	"codeberg.org/mapleopentech/monorepo/cloud/maplefile-backend/config"
)

// ProvideLogger provides a logger instance for Wire DI
func ProvideLogger(cfg *config.Config) (*zap.Logger, error) {
	if cfg.App.Environment == "production" {
		return NewProduction()
	}
	return NewDevelopment()
}
